v.lrs.where(1)

NAME
v.lrs.where - Find line id and real km+offset for given points in vector map using linear reference system

KEYWORDS
vector, LRS, networking

SYNOPSIS
v.lrs.where
v.lrs.where help
v.lrs.where lines=name points=name [llayer=integer] [player=integer] rstable=string [thresh=float]

  Parameters:

lines=name
    Input vector map containing lines

points=name
    Input vector map containing points

llayer=integer
    Line layer Default: 1

player=integer
    Point layer Default: 1

rstable=string
    Name of the reference system table

thresh=float
    Maximum distance to nearest line Default: 1000

DESCRIPTION
v.lrs.where identifies line id and real milepost+offset for points in vector map using linear reference system.

EXAMPLE
This example is written for the Spearfish dataset (it continues the example from v.lrs.create).

In this example, the 'route_lrs' shall be queried for unknown positions (points, stored in the map newpoints) along the LRS:
# generate query points
echo "590866.15|4926737.0
590933|4927133" | v.in.ascii out=newpoints
v.lrs.where lines=route_lrs points=newpoints rstable=route_lrs
pcat|lid|mpost|offset
pcat|lid|mpost|offset
1|22|4.000000+212.091461
2|22|6.000000+188.112093
# verification
g.region vect=route_lrs n=n+100 s=s-100 -p
d.erase
d.vect route_lrs
d.vect busstops disp=attr attr=cat size=10 bg=white lcol=blue yref=bottom
d.vect busstops icon=basic/circle fcol=blue
d.vect newpoints col=red
# measure distance to previous bus stop
d.measure

SEE ALSO
LRS tutorial,
Introducing the Linear Reference System in GRASS,
v.lrs.where, v.lrs.segment, v.lrs.label

AUTHOR
Radim Blazek, ITC-irst/MPA Solutions
Documentation update (based on above journal article and available fragments): Markus Neteler

Last changed: $Date: 2007/06/28 15:42:47 $

Full index